Subject: RE: linux-next: build failure after merge of the s5p tree

From: Kukjin Kim <[email-masked]>
Date: Wed, 04 Jan 2012 09:42:04 +0900

Linus Torvalds wrote:
> 
> On Tue, Jan 3, 2012 at 12:12 AM, Kukjin Kim <[email-masked]> wrote:
> >
> > OK, I see. Firstly, I will rebase my for-next as per your suggestion. As
> you
> > know, I just wanted to avoid known conflicts with driver-core tree.
> 
> Please, in general you should *not* rebase on top of other peoples

OK, I will remember. And as a note, I didn't 'rebase' on top of other tree
just 'merge' in the case of having dependency with others and of course if
that is _really_ required. But we know, if the merged tree is rebased,
something wrong will happen :(

> trees either. What's the conflict and why do you need that other tree
> in the first place?
> 
The driver-core tree changed usage(?) of sysdev_class and touched some files
and the changed files have been merged into one file for some reason without
driver-core's changes in samsung tree. So I just wanted to avoid the
conflicts. Linus, how should/can I do in  this case?

Thanks.

Best regards,
Kgene.
--
Kukjin Kim <[email-masked]>, Senior Engineer,
SW Solution Development Team, Samsung Electronics Co., Ltd.